#define XERR "sshcron"
#include "sshcron.ih"

// the passphrase 
    // by run.cc

void SSHCron::getPassphrase()
{
    Tty tty;
    tty.echo(Tty::OFF);

    ifstream in;
    Exception::open(in, "/dev/tty");

    while (true)
    {
        cout << "Enter passphrase: " << flush;
        getline(in, d_passphrase);

        if (d_passphrase.length() < 10)
            throw Exception{} << 
                    "\n"
                    "Error: passphrases must be at leas 10 characters long";
        
        cout << "\nEnter same passphrase again: " << flush;
        string passphrase2;
        getline(in, passphrase2);
        cout << endl;

        if (d_passphrase == passphrase2)
            break;

        cout << "Passphrases differ. Try again\n\n";
    }

    tty.echo(Tty::ON);
}
